<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

function smarty_function_allegro_menu($params, &$smarty){
    
    $mode = $smarty->get_template_vars('mode');
    $action = $smarty->get_template_vars('action');
    $serwis = $smarty->get_template_vars('serwis');
    $SZABLON_URL = $smarty->get_template_vars('SZABLON_URL');
    
    $menu_items = array (
        'cats' => array(
            'label'  => 'Allegro',
            'url'    => $serwis['url'],
            'target' => '_blank',
        ),
        'my-data' => 'Moje dane',
        'auctions'  => 'Aukcje',
        'feedbacks' => 'Komentarze',
        'item-new' => 'Wystaw przedmiot',
        'logout' => 'Koniec'
    );

    $submenu_items = array(
        'auctions' => array(
              //'bid'   => 'Licytuj',
              'sell'  => 'Sprzedaj',
              //'won'   => 'Wygraem',
              //'not_won'   => 'Nie wygraem',
              'sold'      => 'Sprzedaem',
              'not_sold'  => 'Nie sprzedaem',
              //'watch'     => 'Obserwuj',
              //'watch_cl'  => 'Obserwowaem',
              'future'    => 'Do wystawienia',
        ),
        
        'feedbacks' => array(
              'recvd'  => 'Otrzymane',
              'gave'   => 'Wystawione',
              'wait'    => 'Wystaw',
        ),

        'my-data' => array(
              'default' => 'Moje konto',
              'saldo'   => 'Rachunek',
              'cfg'     => 'Ustawienia',
              'info'    => 'Aktualizacja',
        ),
    );

    $submenu_items['journal'] = $submenu_items['auctions'];
    
    echo '<script type="text/javascript">
      var ALLEGRO_URL = \''.ALLEGRO_URL.'\';
    </script>'."\n";
    echo '<script type="text/javascript" src="'.SCRIPT_URL.'/admin/allegro.js"></script>'."\n";
    echo '<script type="text/javascript">document.write(\'<link rel="stylesheet" href="'.$SZABLON_URL.'/style/allegro.css" type="text/css" >\')</script>'."\n";
    
    echo '<div id="myAllegroMenu">'."\n";
    echo '<ul>'."\n";
    foreach( $menu_items as $key => $value ){
        if( $key == $mode ){
            echo '    <li id="activeMenu"><strong>'.$value.'</strong></li>'."\n";
        }else if( is_array($value) ){
            echo '    <li><span><a href="'.$value['url'].'" '.( !empty($value['target']) ? 'target='.$value['target'] : '' ).'>'.$value['label'].'</a></span></li>'."\n";
        }else{
            echo '    <li><span><a href="'.SELF_URL.'?action='.$action.'&amp;mode='.$key.'">'.$value.'</a></span></li>'."\n";
        }
    }
    
    echo '</ul></div>'."\n";

    echo '<div style="clear: both;"></div>'."\n";

    if( !empty($submenu_items[$mode]) ){
        $type = isset($GLOBALS['type'])? $GLOBALS['type'] : '';

        echo'<div id="myAllegroSubMenu">'."\n";
        echo'<ul>'."\n";
        foreach( $submenu_items[$mode] as $key => $value ){
            if( $key == $type ){
                echo '    <li id="activeSubMenu"><strong>'.$value.'</strong></li>'."\n";
            }else{
                echo '    <li><span><a href="'.SELF_URL.'?action='.$action.'&amp;mode='.$mode.'&amp;type='.$key.'">'.$value.'</a></span></li>'."\n";
            }
        }
        
        if( $mode == 'auctions' || $mode == 'journal' ){
            echo '    <li><span><a href="'.SELF_URL.'?action='.$action.'&amp;mode=journal">Dziennik</a></span></li>'."\n";
        }
        echo '</ul>'."\n";
        echo '<div style="clear: both;"></div>' . "\n";
        echo '</div>'."\n";
        //ostatni
        //<li class="withoutSeparator"><a href="/my_allegro.php?page=auctions&type=debate">Centrum sporw</a></li>
    }

    echo '<br>' ."\n";
    echo '<script language="JavaScript" type="text/javascript" src="'.SCRIPT_URL.'/allegro.js"></script>'."\n";
}


?>
