<?php
/**
 * href   - the URL of the Facebook Page for this Like Box
 * width  - the width of the plugin in pixels. Default width: 300px.
 * height - the height of the plugin in pixels. The default height varies based on number of faces
 *          to display, and whether the stream is displayed. With the stream displayed, and 10 faces
 *          the default height is 556px. With no faces, and no stream the default height is 63px.
 * colorscheme - the color scheme for the plugin. Options: 'light', 'dark'
 * show_faces - specifies whether or not to display profile photos in the plugin. Default value: true.
 * stream - specifies whether to display a stream of the latest posts from the Page's wall
 * header - specifies whether to display the Facebook header at the top of the plugin.
 * border_color - the border color of the plugin.
 *
 *
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_fb_likebox($params, &$smarty){

    $params = array_merge( array(
          'href' => 'http://www.facebook.com/platform',
          'width' => '292',
          'colorscheme' => 'light',
          'show_faces' => 'true',
          'stream' => 'false',
          'header' => 'false',
          'border_color' => '',
        ),

        $params
    );
    
    extract($params);
?>

    <script type="text/javascript">
        $(function(){
            $('#border_color').toggle(
                function() {
                    $('#border_color').animate({ 'left': '0px' }, 'slow');
                },
                function() {
                    $('#border_color').animate({ 'left': '-322px' }, 'slow');
                }
            );
         });
    </script>

    <div id="fb_likebox_container">
        <div class="yui3-g">
            <div class="yui3-u-11-12">
                <div id="f_bg" class="ui-corner-br ">
                    <div id="f_white">
                      <iframe src="http://www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2Fplatform&amp;width=185&amp;colorscheme=light&amp;show_faces=true&amp;border_color=%23efefee&amp;stream=false&amp;header=false&amp;height=62" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:185px; height:62px;" allowTransparency="true"></iframe>
                    </div>
                </div>
            </div>
            <div id="f_btn" class="yui3-u-1-12 ui-corner-right"></div>
        </div>
    </div>
<?php
}



