var trees_multi = [];

function tree_multi(a_items, a_template) {

//*** stuktura drzewa *****/
/* oparte na listach UL  */

    this.a_tpl      = a_template;
    this.a_config   = a_items;
    this.o_root     = this;
    this.a_index    = [];
    this.o_selected = null;
    this.n_depth    = -1;

    this.b_selected = null;
    this.b_pozycja = 0;

    this.select = function (n_id) { var o_item = this.a_index[n_id]; o_item.select(!o_item.b_selected, true); };

    this.a_children = [];
    for (var i = 0; i < a_items.length; i++)   new tree_multi_item(this, i);

    this.b_children = this.a_children.length > 0;

    this.n_id = trees_multi.length;
    trees_multi[this.n_id] = this;

/****  wypisanie drzewa  ******/
    this.html = '<ul class="drzewo">';
    for (var i = 0; i < this.a_children.length; i++) {
        this.html += this.a_children[i].init();
    }
    this.html += '</ul>';
}

function tree_multi_item (o_parent, n_order) {

    this.n_depth  = o_parent.n_depth + 1;
    this.a_config = o_parent.a_config[n_order + (this.n_depth ? 4 : 0)];
    if (!this.a_config) return;

    this.o_root    = o_parent.o_root;
    this.o_parent  = o_parent;
    this.n_order   = n_order;
    this.b_selected = Boolean(this.a_config[2]);
    this.b_pozycja = this.a_config[3];

    this.n_id = this.o_root.a_index.length;
    this.o_root.a_index[this.n_id] = this;
    o_parent.a_children[n_order] = this;

    this.a_children = [];
    this.b_children = false;


    if( this.a_config.length - 3 > 0 ) {
        this.b_children = true;

        for (var i = 0; i < this.a_config.length - 3; i++)
            new tree_multi_item(this, i);
        this.b_children = this.a_children.length > 0;
    }

    this.init     = item_multi_init;
}


// na liscie UL
function item_multi_init () {
    var a_offset = [];
    var html = new String();

   html = '<li class="tree_item" name="' + this.a_config[0] + '" pozycja="'+this.b_pozycja+'"  style="position: relative;"><div class="separator"></div>' + (this.n_depth ? a_offset.join('') +

        (this.b_children ? '<span class="plus"></span>' : '<span ></span>') : '')
        + '<label class="t' + this.o_root.n_id + 'i" for="i_chx' + this.o_root.n_id + '_' + this.n_id + '">'
        + '<input class="chbox" type="checkbox" name="'+this.o_root.a_tpl['checkbox_name']+'[]" value="'+this.a_config[1]+'" ' + (this.b_selected?"checked":"") + ' id="' + this.o_root.a_tpl['checkbox_name'] + this.a_config[1] + '_chx">'
        + this.a_config[0]
        + '</label>';

    if( this.b_children ){
        html += '<ul id="i_div' + this.o_root.n_id + '_' + this.n_id + '" style="display:none">';
           for(var k=0; k < this.a_children.length; k++) html += this.a_children[k].init();
        html += '</ul>';
    }

    html += '</li>';
    return html;
}



/******** Zachowanie drzewa po wyswietleniu: przesowanie elementow, rozwijanie ... ********************/

$(document).ready(function(){
    // zaznaczanie i odznaczanie drzewa
    function odznacz(ul){
        if( ul.find(".chbox:checked").size() == 0 ){
            li_parent = ul.parents('li:first');
            li_parent.find(".chbox:first").attr('checked',false);

            $(li_parent.parents('ul:first')).each(function(){
                odznacz($(this));
            }); //rekurencja
        }
    }

    function sprawdz_checkbox(chbox,toggle){
        var li_parent = chbox.parents('li:first');
        var sub_chbox = li_parent.find(".chbox");

        if ( toggle ) {  //jesli z klikniecia
            if (!chbox.attr('checked')){
                chbox.attr('checked',false);
                sub_chbox.attr('checked',false); //odznaczam podrzdne
            }else{
                chbox.attr('checked',true);
                sub_chbox.attr('checked',true);  //zaznaczam podrzdne
            }
        }

        if (chbox.is(':checked'))
            chbox.parents('ul:first').parents('li').find(".chbox:first").attr('checked',true);  //zazmaczam nadrzdne
        else
            chbox.parents('ul:first').each(function(){  odznacz($(this));   });  // rekyurencyjnie odznaczam nadrzdne jesli zadne z ic    h dzieci nie jest zaznaczone
    }

    $(".drzewo label").click(function(){
        sprawdz_checkbox($(this).find('input[type="checkbox"]'), 1);
    });
});