<?php

    $this->db_start_trans();

/**************************************************************************************************/

    //wczesniej przed napraw pozycji faktury poprawiam korekty wystawione dla faktury
    $res = $this->db_query('
select
    wzp.id, wzp.nazwa_oryginalna,
    wzp.cena_katalogowa_przed, wzp.cena_katalogowa,
    wzp.cena_sprzedazy_przed, wzp.cena_sprzedazy_po,

    wzp.cena_netto_sprz_po_rab_przed, wzp.cena_netto_sprz_po_rab_po,
    wzp.cena_brutto_sprz_po_rab_przed, wzp.cena_brutto_sprz_po_rab_po,
    wzp.cena_sprz_wal_po_rab_przed, wzp.cena_sprz_wal_po_rab_po,

    wzp.cena_sp_netto_alt_przed, wzp.cena_sp_netto_alt_po,
    wzp.cena_sp_pln_alt_przed, wzp.cena_sp_pln_alt_po
from
    gm_wzpoz wzp
JOIN
    gm_wz wz on (wz.id = wzp.id_glowki)

JOIN
    gm_fspoz fsp on (fsp.id = wzp.id_fspoz)
JOIN
    gm_fs fs on (fsp.id_glowki = fs.id)
join
    gm_zkpoz zkp on (zkp.id = fsp.id_pozycji_zamowienia)
Join
    www_zk on (www_zk.id = zkp.id_glowki)
Join
    gm_zk zk on (zk.id = zkp.id_glowki)

where
    zk.sposob_liczenia = 1 and zk.id_waluty = 0 and ( zkp.cena_sp_wal_netto != zkp.cena_sp_pln_netto OR zkp.cena_sp_wal_netto_alt != zkp.cena_sp_pln_netto_alt)
    and
    wz.sposob_liczenia = 1 and wz.id_waluty = 0
    and
    (
        wzp.cena_sp_pln_alt_po != wzp.cena_sp_netto_alt_po
        OR
        wzp.cena_sprz_wal_po_rab_po != wzp.cena_netto_sprz_po_rab_po
    )
    and
    zkp.cena_sp_pln_netto =  wzp.cena_sprz_wal_po_rab_po and zkp.cena_sp_pln_netto_alt = wzp.cena_sp_pln_alt_po
');


    if( !$res ){
        return false;
    }

    $fp = @fopen(TEMP_DIR . DS . 'wzpoz.csv', 'w'); $i = 0;

    while( $row = ibase_fetch_assoc($res) ){
        $q = 'Update gm_wzpoz set cena_sprz_wal_po_rab_po = ' . $row['CENA_NETTO_SPRZ_PO_RAB_PO'] . ', cena_sp_pln_alt_po = ' . $row['CENA_SP_NETTO_ALT_PO'] . ' WHERE ID = ' .  $row['ID'] ;
        //echo '$q: ' . $q . '<br />' . "\n";

        if ( $fp ) {
            if ( $i++ == 0 ) {
                fwrite($fp, implode(';', array_keys($row)) ."\n" );
            }

            fwrite($fp, implode(';', $row)."\n");
        }

        if( !$this->db_query($q) ){
            return false;
        }
    }
    ibase_free_result($res);

    if ( $fp ) {
        fclose($fp); $fp = false;
    }

/**************************************************************************************************/

    //naprawiam pozycje faktury
    $res = $this->db_query('
        select
            doc.numer,
            doc.wal_wartosc_brutto,
            poz.id,
            poz.nazwa_oryginalna,
            poz.cena_sp_wal_netto, poz.cena_sp_pln_netto,
            poz.cena_sp_wal_netto_alt, poz.cena_sp_pln_netto_alt
        FROM
            GM_FSPOZ poz
        JOIN
            GM_FS doc on (poz.id_glowki = doc.id)
        JOIN
            GM_ZKPOZ zkp on (zkp.id = poz.ID_POZYCJI_ZAMOWIENIA)
        JOIN
            WWW_ZK ON ( www_zk.id = zkp.id_glowki)
        WHERE
            doc.sposob_liczenia = 1
        AND
            doc.id_waluty = 0
        AND (
                poz.cena_sp_wal_netto != poz.cena_sp_pln_netto
            OR
                poz.cena_sp_wal_netto_alt != poz.cena_sp_pln_netto_alt
        )
        ORDER BY
            doc.id, poz.lp ');

    if( !$res ){
        return false;
    }

    defined('DS') || define('DS' , DIRECTORY_SEPARATOR );

    $fp = @fopen(TEMP_DIR . DS . 'fspoz.csv', 'w'); $i = 0;

    while( $row = ibase_fetch_assoc($res) ){
        $q = 'Update gm_fspoz set cena_sp_pln_netto = ' . $row['CENA_SP_WAL_NETTO'] . ', cena_sp_pln_netto_alt = ' . $row['CENA_SP_WAL_NETTO_ALT'] . ' WHERE ID = ' .  $row['ID'] ;
        //echo '$q: ' . $q . '<br />' . "\n";

        if ( $fp ) {
            if ( $i++ == 0 ) {
                fwrite($fp, implode(';', array_keys($row)) ."\n" );
            }

            fwrite($fp, implode(';', $row)."\n");
        }

        if ( !$this->db_query($q) ){
            return false;
        }
    }
    ibase_free_result($res);

    if ( $fp ) {
        fclose($fp); $fp = false;
    }

/**************************************************************************************************/

    //naprawiam pozycje zamwienia
    $res = $this->db_query('
        SELECT
            doc.numer, doc.wal_wartosc_brutto,
            poz.id, poz.nazwa_oryginalna,
            poz.cena_sp_wal_netto, poz.cena_sp_pln_netto,
            poz.cena_sp_wal_netto_alt, poz.cena_sp_pln_netto_alt
        FROM
            gm_zkpoz poz
        LEFT JOIN
            gm_zk doc on (poz.id_glowki = doc.id)
        WHERE
            doc.sposob_liczenia = 1 and doc.id_waluty = 0 and ( poz.cena_sp_wal_netto != poz.cena_sp_pln_netto OR poz.cena_sp_wal_netto_alt != poz.cena_sp_pln_netto_alt)
        ORDER BY doc.id, poz.lp
    ');

    if( !$res ){
        return false;
    }

    $fp = @fopen(TEMP_DIR . DS . 'zkpoz.csv', 'w'); $i = 0;

    while( $row = ibase_fetch_assoc($res) ){
        $q = 'Update gm_zkpoz set cena_sp_pln_netto = ' . $row['CENA_SP_WAL_NETTO'] . ', cena_sp_pln_netto_alt = ' . $row['CENA_SP_WAL_NETTO_ALT'] . ' WHERE ID = ' .  $row['ID'] ;
        //echo '$q: ' . $q . '<br />' . "\n";

        if ( $fp ) {
            if ( $i++ == 0 ) {
                fwrite($fp, implode(';', array_keys($row)) ."\n" );
            }

            fwrite($fp, implode(';', $row)."\n");
        }

        if( !$this->db_query($q) ){
            return false;
        }
    }
    ibase_free_result($res);

    if ( $fp ) {
        fclose($fp); $fp = false;
    }
/**************************************************************************************************/

    if ( !$this->db_commit() ) return false;

    return true;
