<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */
require_once CLASS_DIR . '/AlleCatClass.php';

function smarty_function_allegro_cat_path($params, &$smarty ){
    $serwis = $smarty->get_template_vars('serwis');
    
    if( empty($params['cat_id']) ){
        return '';
    }

    $cat = new AlleCatClass( $params['cat_id'] );

    $cat->pobierz();
    
    $delim = ' &rsaquo; ';
    if( isset($params['delim']) ){
        $delim = $params['delim'];
    }

    $path = $cat->get_path();

    if( isset($params['sklep']) && $params['sklep'] ){
        $path[] = array( 'id' => 1, 'nazwa' => 'Sklep');
    }else{
        $path[] = array( 'id' => 1, 'nazwa' => $serwis['name']);
    }
    
    return path2str( $path, $delim, false );
}

?>
