<?php

function smarty_function_print_errors( $params, &$smarty ){

    $error = false;
    
    if( isset($params['errors']) && is_array($params['errors']) && (count($params['errors']) > 0) ){
        $error = true;
        $smarty->assign( 'error', true );
        $smarty->assign( 'errors', $params['errors'] );
    }else if( isset($params['error']) && is_string($params['errors']) ){
        $error = true;
        $smarty->assign( 'error', true );
        $smarty->assign( 'errors', array( $params['error'] ) );
    }
    
    if( $error ){
        $smarty->display('errors.tpl');
    }
}


?>

