<script type="text/javascript" src="{$SCRIPT_URL}/admin/kupon.js"></script>
{calendar_scripts}

<form action="{$ADMIN_URL}" method=POST enctype="multipart/form-data" name="kupon_form" >
    <input type="hidden" name="form_send" value=1>
    <input type="hidden" name="action" value="{$action}">
    <input type="hidden" name="mode" value="{$mode}">
    <input type="hidden" name="ID" value="{$kupon->ID}">
    <input type="hidden" name="win" value="{$win}">

{if $kupon->error}
    {include file="errors.tpl" error=$kupon->error errors=$kupon->errors}
{/if}

  <div id="kupon_div" style="display:block;" >
    <div class=roweven>
      <div class=datalabel>Nazwa kuponu rabatowego:</div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_nazwa_hint');" class=help></a>

          <input type="text" name="NAZWA" value="{$kupon->NAZWA}" size=60 maxlength=100>

          <div id="kupon_nazwa_hint" style="font-size: 9px; display:none;">
            Jest to nazwa kuponu rabatowego jaka bdzie prezentowana dla klienta.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=rowodd>
        <div class=datalabel><label for=kupon_kod>Kod rabatowy:</label></div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_kod_hint');" class=help></a>

          <input type="text" name="KOD" id="kupon_kod" value="{$kupon->KOD}" size=15 maxlength=30>

          <a href="#" id="kupon_gen_kod_btn">Generuj kod</a>

          <div id="kupon_kod_hint" style="font-size: 9px; display:none;">
            Uwaga! Jeeli nie wypenisz tego pola, kod zostanie wygenerowany automatycznie.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=roweven>
        <div class=datalabel><label for="kupon_konto">Rodzaj klienta:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_konto_hint');" class=help></a>

            <select name='KONTO' style="width: 200px;" id="kupon_konto">
                <option value="-1">Wszyscy</option>
                {html_options options=$konta_typy selected=$kupon->KONTO}
            </select>

            <div class="hint" id="kupon_konto_hint">
                Dla jakiego typu uytkownikw jest tworzony kupon. Mona stworzy kupon
                dla klientw b2b bd klientw e-sklepu. Jeli aden rodzaj nie zostanie wybrany
                kupon bdzie obowizywa zarwno dla klientw e-sklepu jak i b2b.
            </div>
        </div>
    </div>

  <div class=rowodd>
    <div class=datalabel><label for="kupon_aktywny">Aktywny:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('kupon_aktywny_hint');" class=help></a>

        <input type="checkbox" class="checkbox" name="AKTYWNY" value="1" {if $kupon->AKTYWNY == 1} checked {/if} id="kupon_aktywny" />

        <div class="hint" id="kupon_aktywny_hint">Czy kupon ma by aktywny.</div>
    </div>
  </div>

<div id="kupon_daty_div" class="display{$kupon->AKTYWNY}">
  <div class=roweven>
    <div class=datalabel><label for="KUPON_WAZNY_OD">Data od:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('kupon_data_od_hint');" class=help></a>

        {date_input name="WAZNY_OD" value=$kupon->WAZNY_OD id="KUPON_WAZNY_OD"}

        <div id="kupon_data_od_hint" style="font-size: 9px; display:none;">
          Data od kiedy naley wywietla kupon. Jeli nie zostanie podana bdzie wywietlana
          do dnia okrelonego w polu data do. Jeli oba pola nie okrelone kupon bdzie wywietlany
          bez ogranicze o ile kupon jest oznaczony jako aktywny.
        </div>
    </div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="KUPON_WAZNY_DO">Data do:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('kupon_data_do_hint');" class=help></a>

        {date_input name="WAZNY_DO" value=$kupon->WAZNY_DO id="KUPON_WAZNY_DO"}

        <div id="kupon_data_do_hint" style="font-size: 9px; display:none;">
          Data do kiedy kupon ma by aktywny. Jeli data nie zostanie podana to bdzie wywietlany od
          dnia podanego w polu data od. Jeli oba pola nie bd okrelone kupon bdzie wywietlany bez
          adnych ograniczen o ile jest zaznaczony checkbox "aktywny".
        </div>
    </div>
  </div>
</div>

    <div class=roweven>
      <div class=datalabel>Kwota zamwienia:</div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_kwota_zamowienia_hint');" class=help></a>

          <input type="text" name="ZK_KWOTA_MIN" value="{$kupon->ZK_KWOTA_MIN}" size=15 maxlength=15>

          <select name="ZK_KWOTA_WALUTA">
            {html_options options=$waluty selected=$ec_seo->ZK_KWOTA_WALUTA}
          </select>

          <select name="ZK_KWOTA_BRUTTO">
            <option value="0">Netto</option>
            <option value="1" {if $kupon->ZK_KWOTA_BRUTTO}selected{/if}>Brutto</option>
          </select> <br />

          <label>
                <input type="checkbox" id="KUPON_ZK_KWOTA_NO_PROMO" value="1" name="ZK_KWOTA_NO_PROMO" class="checkbox" style="display: inline-block; margin: 0;" {if $kupon->ZK_KWOTA_NO_PROMO} checked="checked"{/if} >
                <span style="line-height: 22px; display: inline-block; vertical-align: middle;">Kwota liczona bez produktw w promocji i wyprzeday.</span>
          </label> <br />
{*
          <label>
                <input type="checkbox" id="KUPON_ZK_KWOTA_NO_RABAT" value="1" name="ZK_KWOTA_NO_RABAT" class="checkbox" style="display: inline-block; margin: 0;" {if $kupon->ZK_KWOTA_NO_RABAT} checked="checked"{/if}>
                <span style="line-height: 22px; display: inline-block; vertical-align: middle;">Kwota liczona bez produktw z rabatem.</span>
          </label> <br />
*}
          <label>
                <input type="checkbox" id="KUPON_ZK_KWOTA_SELECTED" value="1" name="ZK_KWOTA_SELECTED" class="checkbox" style="display: inline-block; margin: 0;" {if $kupon->ZK_KWOTA_SELECTED} checked="checked"{/if}>
                <span style="line-height: 22px; display: inline-block; vertical-align: middle;">Kwota liczona dla produktw z wybranych grup w kuponie rabatowym. </span>
          </label>

          <div id="kupon_kwota_zamowienia_hint" style="font-size: 9px; display:none;">
            Jest to minimalna kwota zamwienia od ktrego dostpna bdzie promocja.
            Kwota ta nie moze by mniejsza od zera.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=rowodd>
      <div class=datalabel>Maksymalna ilo wykorzytsania kuponu:</div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_ilosc_max_hint');" class=help></a>

          <input type="text" name="ILOSC_MAX" value="{$kupon->ILOSC_MAX}" size=10 maxlength=11>

          <div id="kupon_ilosc_max_hint" style="font-size: 9px; display:none;">
            Rabat ma zastosowanie tylko dla pierwszych X klientw. Jeli nie zostanie podana adna warto
            wwczas kupon rabatowy moe by wykorzystany nieskoczon iloc razy przez okres aktywnoci kuponu.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=roweven>
      <div class=datalabel>Razem dostpne dla kadego uytkownika:</div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_ilosc_klient_hint');" class=help></a>

          <input type="text" name="ILOSC_KLIENT" value="{$kupon->ILOSC_KLIENT}" size=10 maxlength=11>

          <div id="kupon_ilosc_klient_hint" style="font-size: 9px; display:none;">
            Klient bdzie mg uy bonu X raz(y). Jeli klient skada zamwienie bez zaoonego konta
            wwczas kupon jest ograniczany do adresu e-mail z jakiego zostao zoone zamwienie. Jeli
            nie zostanie podana iloc wykorzystania kuponu przez pojedynczego klienta, bdzie mog
            wykorzysta kupon dowoln iloc razy.
          </div>
      </div>
      <div class=rowend></div>
    </div>


    <div class=rowodd>
        <div class=datalabel><label for="KUPON_PROMOCJE">Promocje:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_promocje_hint');" class=help></a>

            <input type="checkbox" class="checkbox" name="PROMOCJE" value="1" {if $kupon->PROMOCJE == 1} checked {/if} id="KUPON_PROMOCJE" />

            <div class="hint" id="kupon_promocje_hint">Czy kupon ma by zastosowany rwnie dla produktw promocyjnych.</div>
        </div>
    </div>

    <div class=roweven>
        <div class=datalabel><label for="KUPON_DOSTAWA">Darmowa dostawa:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_dostawa_hint');" class=help></a>

            <input type="checkbox" class="checkbox" name="DOSTAWA" value="1" {if $kupon->DOSTAWA == 1} checked {/if} id="KUPON_DOSTAWA"  />

            <div class="hint" id="kupon_dostawa_hint">
                Jesli checkbox jest zaznaczony to do zamwienia nie zostan doliczone koszty dostawy.
            </div>
        </div>
    </div>

    <div class=rowodd>
        <div class=datalabel><label for="kupon_typ">Rodzaj kuponu rabatowego:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_typ_hint');" class=help></a>

            <select name='TYP' style="width: 200px;" id="kupon_typ">
                <option value="">&nbsp;</option>
                {html_options options=$kupon_typy selected=$kupon->TYP}
            </select>

            <div class="hint" id="kupon_typ_hint">
                W chwili obecnej mona wybra czy kupon ma by procentowy czy dla produktw ma by
                ustalona inna cena.
            </div>
        </div>
    </div>

    <div class=roweven id="kupon_rabat_row">
      <div class=datalabel><label for="kupon-rabat">Rabat:</label></div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_rabat_hint');" class=help></a>

          <input type="text" id="kupon-rabat" name="RABAT" value="{$kupon->RABAT}" size=10 maxlength=11> %

          <div id="kupon_rabat_hint" style="font-size: 9px; display:none;">
            Wysoko rabatu udzielana na produkty w zamwieniu. Nie stosuje si do kosztw dostawy.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=roweven id="kupon_cena_row">
      <div class=datalabel><label for="kupon_cena_id">Cena:</label>:</div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_cena_hint');" class=help></a>

          <select name='CENA_ID' style="width: 200px;" id="kupon_cena_id">
            <option value="">&nbsp;</option>
            {html_options options=$ceny selected=$kupon->CENA_ID}
          </select>

          <div id="kupon_cena_hint" style="font-size: 9px; display:none;">
            Rodzaj ceny przypisywany produktom jeli zostanie wpisany prawidowy kod kuponu.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class=roweven id="kupon_kwota_row">
      <div class=datalabel><label for="kupon-kwota">Rabat:</label></div>
      <div class=datavalue>
          <a onclick="pokaz_ukryj_obiekt('kupon_kwota_hint');" class=help></a>

          <input type="text" id="kupon-kwota" name="KWOTA" value="{$kupon->KWOTA}" size=15 maxlength=11 />

          <div id="kupon_kwota_hint" style="font-size: 9px; display:none;">
            Wysoko kwotowa rabatu udzielana na zamwienie. Przy zapisie zamwienia kwota zostanie
            odjta od wartoci zamwienia i rozbita proporcjonalnie na pozyjce zamwienia. Nie stosuje
            si do kosztw dostawy.
          </div>
      </div>
      <div class=rowend></div>
    </div>


    <div class="rowhead">Warunki</div>

    <div class=rowodd>
        <div class=datalabel><label for="kupon_regula_kontakty">Wybr grupy klientw:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_regula_kontakty_hint');" class=help></a>
            <input type="checkbox" class="checkbox" name="REGULA_KONTAKTY" value="1" id="kupon_regula_kontakty" {if $kupon->grupyk || $kupon->grupyk_ext || $smarty.post.REGULA_KONTAKTY} checked{/if}/>
            <div class="hint" id="kupon_promocje_hint">
                Zaznacz jeli chcesz wybra grupy kontrahentw dla ktrych kupon rabatowy ma by dostpny.
            </div>
        </div>
    </div>

    <div class="roweven display0" id="kupon_grupyk_row" style="background-color: #FCF9F7">
        <table width="100%">
            <tr>
                <td width="50%">
                    <div class="rowhead">Grupy podstawowe</div>
                    <div style="height:200px; overflow: auto">
                        {grupy_tree ext=false type="klienci" input="grupyk[]" id="kupon_grupyk" selected=`$kupon->grupyk`}
                    </div>
                </td>
                <td width="50%">
                    <div class="rowhead">Grupy dowolne</div>
                    <div style="height:200px; overflow: auto">
                        {grupy_tree ext=true type="klienci" input="grupyk_ext[]" id="kupon_grupyk_ext" selected=`$kupon->grupyk_ext`}
                    </div>
                </td>
            </tr>
        </table>
    </div>

    <div class=rowodd>
        <div class=datalabel><label for="kupon_regula_towary">Wybr grupy towarw:</label></div>
        <div class=datavalue>
            <a onclick="pokaz_ukryj_obiekt('kupon_regula_towary_hint');" class=help></a>
            <input type="checkbox" class="checkbox" name="REGULA_TOWARY" value="1" id="kupon_regula_towary" {if $kupon->grupyt || $kupon->grupyt_ext || $smarty.post.REGULA_TOWARY} checked{/if}/>
            <div class="hint" id="kupon_regula_towary_hint">
                Zaznacz jeli kupon rabatowy ma obowizywa na towary z wybranych grup.
            </div>
        </div>
    </div>

    <div class="roweven display0" id="kupon_grupyt_row" style="background-color: #FCF9F7">
        <table width="100%">
            <tr>
                <td width="50%">
                    <div class="rowhead">Grupy podstawowe</div>
                    <div style="height:200px; overflow: auto">
                        {grupy_tree ext=false type="towary" input="grupyt[]" id="kupon_grupyt" selected=`$kupon->grupyt`}
                    </div>
                </td>
                <td width="50%">
                    <div class="rowhead">Grupy dowolne</div>
                    <div style="height:200px; overflow: auto">
                        {grupy_tree ext=true type="towary" input="grupyt_ext[]" id="kupon_grupyt_ext" selected=`$kupon->grupyt_ext`}
                    </div>
                </td>
            </tr>
        </table>

    </div>

    <div class="rowhead">Opis</div>

    <div class=roweven>
        <textarea name="OPIS" style="width:100%" rows=5>{$kupon->OPIS|escape:"html"}</textarea>
    </div>

    <div class="btns">
        <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif" />
        {make_btn napis="Zapisz" onclick="document.forms['kupon_form'].submit();"}

{if $kupon->ID > 0}
        {make_btn napis="Usu" adres="$SELF_URL?action=$action&amp;mode=$MODE_DEL&amp;ID=`$kupon->ID`"}
{/if}

        {make_btn napis="Anuluj" adres="" onclick=$anuluj_onclick}
    </div>
  </div>
</form>
